| Disk ARchive 2.6.12 Full featured and portable backup and archiving tool

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libdar::archive_options_listing Class Reference
API

class holding optional parameters used to list the contents of an existing archive More...

`#include <archive_options.hpp>`

Inherited by libdar::archive_options_listing_shell.

## Public Member Functions
| archive_options_listing (const archive_options_listing &ref)
| archive_options_listing (archive_options_listing &&ref) noexcept
archive_options_listing & | operator= (const archive_options_listing &ref)
archive_options_listing & | operator= (archive_options_listing &&ref) noexcept
virtual void | clear ()
void | set_info_details (bool info_details)
| whether output should be verbosed --> to be moved to shell output
void | set_selection (const mask &selection)
| mask applied to filename, only those marching it will be listed More...
void | set_subtree (const mask &subtree)
| mask applied to the full path, only those matching it will be listed More...
void | set_filter_unsaved (bool filter_unsaved)
| whether to only show entries that have their data fully saved
void | set_slicing_location (bool val)
| whether to calculate the slice location of each file
void | set_user_slicing (const infinint &slicing_first, const infinint &slicing_others)
| when slice location is performed, user may modify the slice layout of the archive More...
void | set_display_ea (bool display_ea)
| whether to fetch EA for listing More...
bool | get_info_details () const
const mask & | get_selection () const
const mask & | get_subtree () const
bool | get_filter_unsaved () const
bool | get_user_slicing (infinint &slicing_first, infinint &slicing_others) const
bool | get_slicing_location () const
bool | get_display_ea () const

## Private Member Functions
void | destroy () noexcept
void | nullifyptr () noexcept
void | copy_from (const archive_options_listing &ref)
void | move_from (archive_options_listing &&ref) noexcept

## Private Attributes
bool | x_info_details
mask * | x_selection
mask * | x_subtree
bool | x_filter_unsaved
infinint * | x_slicing_first
infinint * | x_slicing_others
bool | x_slicing_location
bool | x_display_ea

## Detailed Description

class holding optional parameters used to list the contents of an existing archive

Definition at line 1336 of file archive_options.hpp.

## Member Function Documentation

## ◆ set_display_ea()

void libdar::archive_options_listing::set_display_ea | ( | bool | display_ea | ) |
| inline

whether to fetch EA for listing

Note
  this operation implies a lot of processing

Definition at line 1381 of file archive_options.hpp.

## ◆ set_selection()

void libdar::archive_options_listing::set_selection | ( | const mask & | selection | ) |

mask applied to filename, only those marching it will be listed

Note
  this mask does not reject directory (it does not apply to it)

## ◆ set_subtree()

void libdar::archive_options_listing::set_subtree | ( | const mask & | subtree | ) |

mask applied to the full path, only those matching it will be listed

Note
  a directory excluded by it implies all its content to be excluded (pruned)

## ◆ set_user_slicing()

void libdar::archive_options_listing::set_user_slicing | ( | const infinint & | slicing_first,
|  | const infinint & | slicing_others
| ) |  |

when slice location is performed, user may modify the slice layout of the archive

Note
  this is needed for archive format older than 8 and when listing an isolated catalogue which original archive has been resized after the isolation operation. This option is not used if set_slicing_location is set to false

The documentation for this class was generated from the following file:

- archive_options.hpp